import { JavaObject } from '../../../java/lang/JavaObject';
import { Comparable } from '../../../java/lang/Comparable';
import { Variable } from '../../../core/kursblockung/satsolver/Variable';
export declare class Clause extends JavaObject implements Comparable<Clause> {
    readonly variables: Array<Variable>;
    free: number;
    sat: number;
    /**
     * Konstruktor für eine 1-CNF-Klausel.
     *
     * @param pX Die 1. Variable in dieser Klausel.
     */
    constructor(pX: Variable);
    /**
     * Konstruktor für eine 2-CNF-Klausel.
     *
     * @param pX Die 1. Variable in dieser Klausel.
     * @param pY Die 2. Variable in dieser Klausel.
     */
    constructor(pX: Variable, pY: Variable);
    /**
     * Konstruktor für eine 3-CNF-Klausel.
     *
     * @param pX Die 1. Variable in dieser Klausel.
     * @param pY Die 2. Variable in dieser Klausel.
     * @param pZ Die 3. Variable in dieser Klausel.
     */
    constructor(pX: Variable, pY: Variable, pZ: Variable);
    toString(): String;
    private getSet;
    compareTo(o: Clause): number;
    isTranspiledInstanceOf(name: string): boolean;
}
export declare function cast_de_nrw_schule_svws_core_kursblockung_satsolver_Clause(obj: unknown): Clause;
